CombatDataHandler = class(Turbine.UI.Control)
function CombatDataHandler:Constructor()
    Turbine.UI.Control.Constructor(self)

    -- Deliver combat data somewhere
    self.CombatEvent = function(sender, event, args)
        if type(event)=="function" then
            event(args)
        else
            if type(event)=="table" then
                for i=1,#event do
                    if type(event[i])=="function" then
                        event[i](args)
                    end
                end
            end
        end
    end

    -- Saves data if there is a curren encounter going on
    self.currentEncounterData = nil
    self.encounterTable = {}

    self.oldGameTime = Turbine.Engine.GetGameTime()
    self.updateDelta = 1

    self.player = Turbine.Gameplay.LocalPlayer.GetInstance()
    self.isInCombat = self.player:IsInCombat()

    self.combatDelay = 3
    self.combatLeaveTime = 0
    self.combatEnterTime = 0

    self.combatCallBack = AddCallback(self.player, "InCombatChanged", function(sender, args)
        self:CombatChangeHandling()
    end)

    self.chatHandler = ChatHandler(self)
end

-- Handle the switch of combat
function CombatDataHandler:CombatChangeHandling()
    -- We got into combat
    if self.player:IsInCombat() then
        -- Set new data object
        self.currentEncounterData = Encounter()
    else
        -- Handle leaving combat
        if self.currentEncounterData then
            table.insert(self.encounterTable, self.currentEncounterData)
        end

        self.currentEncounterData:SetWantsUpdates(false)

        --(parent, data, x, y, title, width, height, borderWidth, titleHeight, itemWidth, dotWidth, lineWidth, itemColour, dotColour, dotSelectedColour, lineColour)
        --x = PrimePlugins.RaidTools.UI.GraphWindow(nil, self.currentEncounterData:GetData()["DamageMapped"], 100, 500, "Damage Graph", 1500, 400, 3, 30, 10, 5, 3)

        self.CombatEvent(self, self.CombatData, self.currentEncounterData:GetData())
        self.currentEncounterData:Unload()
        self.currentEncounterData = nil

    end
end

function CombatDataHandler:HandleDamage(damage, damageType, hitType, skillName, target)
    if self.currentEncounterData then
        self.currentEncounterData:UpdateDamage(damage, damageType, hitType, skillName, target)
    end
end