OptionsButton=class(Turbine.UI.Window) 
function OptionsButton:Constructor(dataWindow)
    Turbine.UI.Window.Constructor(self)
    self:SetPosition(Settings.OptionsButtonX, Settings.OptionsButtonY)
    self:SetSize(32,32)
    self:SetVisible(true)
    self:SetBackground("PrimePlugins/RaidTools/Images/DPS.tga")
    self:SetZOrder(100)

    self.dataWindow = dataWindow

    -- Move logic
    self.Moving = false

    self.MouseDown = function(sender,args)
        self.MoveX = args.X
        self.MoveY = args.Y
        self.Moving = true
    end
    
    self.MouseUp = function()
        self.Moving = false
    end
    
    self.MouseMove = function(sender,args)
        if self.Moving then
            local newLeft = self:GetLeft() - (self.MoveX - args.X)
            local newTop = self:GetTop() - (self.MoveY - args.Y)
            self:SetPosition(newLeft,newTop)
        end
    end

    self.MouseClick = function()
        if self.dataWindow then
            self.dataWindow:SetVisible(not(self.dataWindow:IsVisible()))
        end
    end
end

function OptionsButton:Unload()
    Settings.OptionsButtonX, Settings.OptionsButtonY = self:GetPosition()
end