ChatHandler = class(Turbine.Object)
function ChatHandler:Constructor(combatHandler)
    Turbine.Object.Constructor(self)

    self.combatHandler = combatHandler
    self.player = Turbine.Gameplay.LocalPlayer.GetInstance()
    self.playerName = self.player:GetName()

    self.DamageEvent = function(sender, event, args)
        if type(event)=="function" then
            event(args)
        else
            if type(event)=="table" then
                for i=1,#event do
                    if type(event[i])=="function" then
                        event[i](args)
                    end
                end
            end
        end
    end

    Turbine.Chat.Received = function(sender, args)
        if args.ChatType == Turbine.ChatType.PlayerCombat then

            -- Remove all colour 
            local removedColours = string.gsub(string.gsub(args.Message,"<rgb=#......>(.*)</rgb>","%1"),"^%s*(.-)%s*$", "%1")

            -- Damage case
            local Source, HitType, SkillName, Target, damage, damageType = string.match(removedColours,"^(.*) scored a (.*)hit with (.*) on (.*) for (.-) (.*)%.$")
    
            if damage and self.playerName == Source then
                local Type, MP = string.match(damageType, "(.*)%sdamage to (.*)$")

                if MP ~= "Morale" then return end

                self.combatHandler:HandleDamage(tonumber(damage:gsub(",", ""), 10), Type, HitType, SkillName, string.gsub(Target,"^[Tt]he ",""))
            end
        end
    end
end


